Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 2401)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 2402)
@@ -49,58 +49,66 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class Train extends AbstractHandler {
-
+	
 	public CQPCorpus corpus = null;
-
-	@Option(name="model", usage="The model file to create", widget="CreateFile", required=true, def="fr.par")
+	
+	@Option(name = "model", usage = "The model file to create", widget = "CreateFile", required = true, def = "fr.par")
 	public File model = null;
-	@Option(name="posProperty", usage="The pos property", widget="String", required=true, def="frpos")
+	
+	@Option(name = "posProperty", usage = "The pos property", widget = "String", required = true, def = "frpos")
 	public String posProperty = null;
-	@Option(name="sentenceTag", usage="The pos property", widget="String", required=true, def="SENT")
+	
+	@Option(name = "sentenceTag", usage = "The pos property", widget = "String", required = true, def = "SENT")
 	public String sentenceTag = null;
-	@Option(name="lemmaProperty", usage="The lemma property", widget="String", required=true, def="frlemma")
+	
+	@Option(name = "lemmaProperty", usage = "The lemma property", widget = "String", required = true, def = "frlemma")
 	public String lemmaProperty = null;
-	@Option(name="lexique", usage="Lexicon file", widget="File", required=true, def="lexicon.txt")
+	
+	@Option(name = "lexique", usage = "Lexicon file", widget = "File", required = true, def = "lexicon.txt")
 	public File lexique = null;
-	@Option(name="openclassfile", usage="openclassfile file", widget="File", required=true, def="")
+	
+	@Option(name = "openclassfile", usage = "openclassfile file", widget = "File", required = true, def = "")
 	public File openclassfile = null;
-	@Option(name="options", usage="TreeTagger supplementary options", widget="String", required=true, def="")
+	
+	@Option(name = "options", usage = "TreeTagger supplementary options", widget = "String", required = true, def = "")
 	public String options = null;
-
+	
 	/**
 	 * 
 	 */
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-
-
+		
+		
 		IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindowChecked(event);
-
+		
 		ISelection isel = window.getActivePage().getSelection();
 		if (isel instanceof IStructuredSelection) {
-			IStructuredSelection sel = (IStructuredSelection)isel;
+			IStructuredSelection sel = (IStructuredSelection) isel;
 			Object first = sel.getFirstElement();
 			if (first instanceof CQPCorpus) {
-				corpus = (CQPCorpus)first;
+				corpus = (CQPCorpus) first;
 				if (ParametersDialog.open(this)) {
-
-					train(corpus, model, lexique, openclassfile, new String[]{posProperty, lemmaProperty}, sentenceTag, options.split("  "));
-
+					
+					train(corpus, model, lexique, openclassfile, new String[] { posProperty, lemmaProperty }, sentenceTag, options.split("  "));
+					
 					return corpus;
 				}
 			}
 		}
-
+		
 		System.out.println("Wrong selection.");
 		return null;
 	}
-
+	
 	public static void train(final CQPCorpus corpus, final File model, final File lexique, final File openclassfile, final String[] properties, final String sentenceTag, final String[] options) {
-
-		JobHandler job = new JobHandler("Applying TreeTagger to "+corpus+" corpus.") {
+		
+		JobHandler job = new JobHandler("Applying TreeTagger to " + corpus + " corpus.") {
+			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -108,44 +116,44 @@
 					File lexique2 = lexique;
 					MainCorpus mainCorpus = corpus.getMainCorpus();
 					File corpusBinaryDirectory = mainCorpus.getProjectDirectory();
-
-					System.out.println("TRAIN : "+corpus+" with "+lexique2+" to create "+model+ " with properties "+Arrays.toString(properties));
-
+					
+					System.out.println("TRAIN : " + corpus + " with " + lexique2 + " to create " + model + " with properties " + Arrays.toString(properties));
+					
 					if (properties == null || properties.length != 2) {
-						System.out.println("Error can't continue with selected word properties: "+Arrays.toString(properties));
+						System.out.println("Error can't continue with selected word properties: " + Arrays.toString(properties));
 						return Status.CANCEL_STATUS;
 					}
-
+					
 					for (String p : properties) {
 						Property prop = corpus.getProperty(p);
 						if (prop == null) {
-							System.out.println("Missing property in corpus: "+p);
+							System.out.println("Missing property in corpus: " + p);
 							return Status.CANCEL_STATUS;
 						}
 					}
-
+					
 					Property pos = corpus.getProperty(properties[0]);
 					Property lemma = corpus.getProperty(properties[1]);
-
+					
 					// Prepare temporary directory
 					File treetaggerSrcDirectory = new File(mainCorpus.getProjectDirectory(), "treetagger");
 					DeleteDir.deleteDirectory(treetaggerSrcDirectory);
 					treetaggerSrcDirectory.mkdirs();
-
+					
 					HashMap<String, HashSet<String>> simplified_lexicon = null;
 					HashMap<String, HashSet<String>> simplified_lexicon_errors = null;
 					int error_counter = 0;
 					// Create Lexicon file from an Index
 					if (lexique2 == null || !lexique2.exists()) {
-						System.out.println("Warning: no lexicon file or given lexicon file does not exist ("+lexique2+"). Using corpus Index...");
-
+						System.out.println("Warning: no lexicon file or given lexicon file does not exist (" + lexique2 + "). Using corpus Index...");
+						
 						File lexiconfile = new File(treetaggerSrcDirectory, "lexicon.txt");
 						List<WordProperty> corpusProperties = new ArrayList<WordProperty>();
 						corpusProperties.add(mainCorpus.getProperty("word"));
 						for (String p : properties) {
 							WordProperty prop = mainCorpus.getProperty(p);
 							if (prop == null) {
-								System.out.println("Error, a property is missing: "+p);
+								System.out.println("Error, a property is missing: " + p);
 								return Status.CANCEL_STATUS;
 							}
 							corpusProperties.add(prop);
@@ -162,7 +170,7 @@
 							if (!lex.containsKey(form)) {
 								ArrayList<String> pairs = new ArrayList<String>();
 								HashSet<String> posValues = new HashSet<String>();
-
+								
 								allPosValues.put(form, posValues);
 								lex.put(form, pairs);
 							}
@@ -171,30 +179,32 @@
 							String posValue = values.get(1).get(0);
 							String lemmaValue = values.get(2).get(0);
 							if (posValues.contains(posValue)) {
-
-							} else {
+								
+							}
+							else {
 								posValues.add(posValue);
 								pairs.add(posValue);
 								pairs.add(lemmaValue);
 							}
 						}
-
+						
 						BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(lexiconfile), "UTF-8"));
 						for (String form : lex.keySet()) {
-
+							
 							writer.write(form);
 							boolean tab = true;
 							for (String v : lex.get(form)) {
-								if (tab) writer.write("\t"+v);
-								else writer.write(" "+v);
-
+								if (tab) writer.write("\t" + v);
+								else writer.write(" " + v);
+								
 								tab = !tab;
 							}
 							writer.write("\n");
 						}
 						writer.close();
 						lexique2 = lexiconfile;
-					} else { // diagnose lexicon content
+					}
+					else { // diagnose lexicon content
 						simplified_lexicon = new HashMap<String, HashSet<String>>();
 						simplified_lexicon_errors = new HashMap<String, HashSet<String>>();
 						BufferedReader reader = IOUtils.getReader(lexique2);
@@ -211,48 +221,50 @@
 						}
 						reader.close();
 					}
-
-
+					
+					
 					// create TT SRC file from CWB indexes
-
-					File ttSrcFile = new File(treetaggerSrcDirectory, mainCorpus.getID()+".tt");
-					System.out.println("TT SRC file: "+ttSrcFile.getAbsolutePath());
+					
+					File ttSrcFile = new File(treetaggerSrcDirectory, mainCorpus.getID() + ".tt");
+					System.out.println("TT SRC file: " + ttSrcFile.getAbsolutePath());
 					BufferedOutputStream fos = new BufferedOutputStream(new FileOutputStream(ttSrcFile));
 					PrintStream ps = new PrintStream(fos);
 					LinkedHashSet<Integer> positions = new LinkedHashSet<Integer>();
 					Property word = corpus.getProperty("word");
 					AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 					for (Match m : corpus.getMatches()) {
-						for (int i = m.getStart() ; i <= m.getEnd() ; i++) { // end match must be included
+						for (int i = m.getStart(); i <= m.getEnd(); i++) { // end match must be included
 							positions.add(i);
-
+							
 							if (positions.size() >= 1000) { // avoid too big array
 								int[] positions_array = new int[positions.size()];
 								int ip = 0;
-								for (int p : positions) positions_array[ip++] = p;
+								for (int p : positions)
+									positions_array[ip++] = p;
 								String[] words = CQI.cpos2Str(word.getQualifiedName(), positions_array);
 								String[] values = CQI.cpos2Str(pos.getQualifiedName(), positions_array);
-
-								for (int iW = 0 ; iW < words.length ; iW++) {
+								
+								for (int iW = 0; iW < words.length; iW++) {
 									String w = words[iW];
 									if (w != null) {
-										String s = w+"\t"+values[iW];
+										String s = w + "\t" + values[iW];
 										ps.println(s);
-
+										
 										if (simplified_lexicon != null) { // check given lexicon
 											if (simplified_lexicon.containsKey(w)) {
 												if (!simplified_lexicon.get(w).contains(values[iW])) {
-													//System.out.println("Lexicon error: cannot find pos="+values[iW]+" for form="+w);
+													// System.out.println("Lexicon error: cannot find pos="+values[iW]+" for form="+w);
 													if (!simplified_lexicon_errors.containsKey(w)) simplified_lexicon_errors.put(w, new HashSet<String>());
 													HashSet<String> error_values = simplified_lexicon_errors.get(w);
 													error_values.add(values[iW]);
 													error_counter++;
 												}
-											} else {
-												//System.out.println("Lexicon error: cannot find form="+w);
+											}
+											else {
+												// System.out.println("Lexicon error: cannot find form="+w);
 												if (!simplified_lexicon_errors.containsKey(w)) simplified_lexicon_errors.put(w, new HashSet<String>());
 												HashSet<String> error_values = simplified_lexicon_errors.get(w);
-												error_values.add("#"+values[iW]);
+												error_values.add("#" + values[iW]);
 												error_counter++;
 											}
 										}
@@ -265,146 +277,150 @@
 					if (positions.size() > 0) { // write last words
 						int[] positions_array = new int[positions.size()];
 						int ip = 0;
-						for (int p : positions) positions_array[ip++] = p;
+						for (int p : positions)
+							positions_array[ip++] = p;
 						String[] words = CQI.cpos2Str(word.getQualifiedName(), positions_array);
 						String[] values = CQI.cpos2Str(pos.getQualifiedName(), positions_array);
-
-						for (int iW = 0 ; iW < words.length ; iW++) {
+						
+						for (int iW = 0; iW < words.length; iW++) {
 							String w = words[iW];
 							if (w != null) {
-								String s = w+"\t"+values[iW];
+								String s = w + "\t" + values[iW];
 								ps.println(s);
 							}
 						}
 						positions.clear();
 					}
 					ps.close();
-
+					
 					if (simplified_lexicon_errors != null && simplified_lexicon_errors.size() > 0) {
 						File error_file = new File(treetaggerSrcDirectory, "errors.txt");
 						PrintWriter errorwriter = IOUtils.getWriter(error_file);
 						int c = 0;
-						System.out.println("Warning, lexicon errors ("+error_counter+") found with words:");
+						System.out.println("Warning, lexicon errors (" + error_counter + ") found with words:");
 						for (String w : simplified_lexicon_errors.keySet()) {
-							errorwriter.println(w+"="+simplified_lexicon_errors.get(w));
+							errorwriter.println(w + "=" + simplified_lexicon_errors.get(w));
 							if (c < 10) {
-								System.out.println(w+"="+simplified_lexicon_errors.get(w));
+								System.out.println(w + "=" + simplified_lexicon_errors.get(w));
 								c++;
-								if (c == 10) System.out.println("... errors display is trucated, see "+error_file.getAbsolutePath());
+								if (c == 10) System.out.println("... errors display is trucated, see " + error_file.getAbsolutePath());
 							}
 						}
 						errorwriter.close();
-						//System.out.println("Cannot apply train-treetagger if lexicon is missing words and pos.");
-						//return Status.CANCEL_STATUS;
-						File lexique3 = new File(lexique2.getParentFile(), lexique2.getName()+".fix");
+						// System.out.println("Cannot apply train-treetagger if lexicon is missing words and pos.");
+						// return Status.CANCEL_STATUS;
+						File lexique3 = new File(lexique2.getParentFile(), lexique2.getName() + ".fix");
 						BufferedReader reader = IOUtils.getReader(lexique2);
 						PrintWriter writer = IOUtils.getWriter(lexique3);
 						String line = reader.readLine();
 						while (line != null) {
 							String w = line.split("\t", 2)[0];
-
+							
 							if (simplified_lexicon_errors.containsKey(w)) {
 								for (String p : simplified_lexicon_errors.get(w)) {
 									if (!p.startsWith("#"))
-										line += ("\t"+p+" <no_lemma>"); // append missing value
+										line += ("\t" + p + " <no_lemma>"); // append missing value
 								}
 								simplified_lexicon_errors.remove(w);
 							}
-
+							
 							writer.println(line);
 							line = reader.readLine();
 						}
-
+						
 						// write missing words
 						for (String w2 : simplified_lexicon_errors.keySet()) {
 							writer.print(w2);
 							for (String p : simplified_lexicon_errors.get(w2)) {
-								writer.print("\t"+p+" <no_lemma>");
+								writer.print("\t" + p + " <no_lemma>");
 							}
 							writer.println("");
 						}
-
+						
 						reader.close();
 						writer.close();
-						System.out.println("Adding words to a temporary lexicon: "+lexique3);
+						System.out.println("Adding words to a temporary lexicon: " + lexique3);
 						lexique2 = lexique3;
 					}
-
+					
 					// Create open class file : contains all pos values
 					File tmpopenclassfile = openclassfile;
-					if (tmpopenclassfile == null || tmpopenclassfile.getName().length() ==0) {
+					if (tmpopenclassfile == null || tmpopenclassfile.getName().length() == 0) {
 						tmpopenclassfile = new File(treetaggerSrcDirectory, "openclasses.txt");
 						PrintWriter openClassFileWriter = IOUtils.getWriter(openclassfile);
-
-						//					Lexicon poslexicon = corpus.getLexicon(pos);
-						//					String[] posValues = poslexicon.getForms();
-						//					for (int iV = 0 ; iV < posValues.length ; iV++) {
-						//						if (iV == 0) openClassFileWriter.print(posValues[iV]);
-						//						else openClassFileWriter.print(" "+posValues[iV]);
-						//					}
+						
+						// Lexicon poslexicon = corpus.getLexicon(pos);
+						// String[] posValues = poslexicon.getForms();
+						// for (int iV = 0 ; iV < posValues.length ; iV++) {
+						// if (iV == 0) openClassFileWriter.print(posValues[iV]);
+						// else openClassFileWriter.print(" "+posValues[iV]);
+						// }
 						openClassFileWriter.close();
 					}
-
+					
 					// Call treetagger-train
 					if (ttSrcFile.exists() && lexique2.exists() && tmpopenclassfile.exists()) {
 						System.out.println("Running treetagger-train...");
 						String treetaggerBinDirectory = new File(TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.INSTALL_PATH), "bin").getAbsolutePath();
 						if (!treetaggerBinDirectory.endsWith("/")) treetaggerBinDirectory += "/";
-
+						
 						TreeTagger tt = new TreeTagger(treetaggerBinDirectory, options);
 						tt.settoken();
-
-						//tt.setlemma();
+						
+						// tt.setlemma();
 						tt.setsgml();
 						tt.setst(sentenceTag);
-						//tt.setproto();
+						// tt.setproto();
 						tt.setutf8();
 						int cl = TreeTaggerPreferences.getInstance().getInt(TreeTaggerPreferences.OPTIONS_CL);
 						if (cl > 0) {
 							tt.setcl(cl);
 						}
-
+						
 						float dtg = TreeTaggerPreferences.getInstance().getFloat(TreeTaggerPreferences.OPTIONS_DTG);
 						if (dtg > 0) {
 							tt.setdtg(dtg);
 						}
-
+						
 						float sw = TreeTaggerPreferences.getInstance().getFloat(TreeTaggerPreferences.OPTIONS_SW);
 						if (sw > 0) {
 							tt.setsw(sw);
 						}
-
+						
 						float atg = TreeTaggerPreferences.getInstance().getFloat(TreeTaggerPreferences.OPTIONS_ATG);
 						if (atg > 0) {
 							tt.setatg(atg);
 						}
-
+						
 						float ecw = TreeTaggerPreferences.getInstance().getFloat(TreeTaggerPreferences.OPTIONS_ECW);
 						if (ecw > 0) {
 							tt.setecw(ecw);
 						}
-
+						
 						float lt = TreeTaggerPreferences.getInstance().getFloat(TreeTaggerPreferences.OPTIONS_LT);
 						if (lt > 0) {
 							tt.setlt(lt);
 						}
-
+						
 						if (TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.OPTIONS_DEBUG)) {
 							tt.debug(true);
-						} else {
+						}
+						else {
 							tt.setquiet();
 						}
-
+						
 						tt.traintreetagger(lexique2.getAbsolutePath(), tmpopenclassfile.getAbsolutePath(), ttSrcFile.getAbsolutePath(), model.getAbsolutePath());
-
-						System.out.println("Done: "+model.getAbsolutePath());
-					} else {
+						
+						System.out.println("Done: " + model.getAbsolutePath());
+					}
+					else {
 						System.out.println("Aborting.");
 					}
-
+					
 					return Status.OK_STATUS;
-				} catch (Exception e) {
-					System.out.println("Error while training TT: "+e);
+				}
+				catch (Exception e) {
+					System.out.println("Error while training TT: " + e);
 					Log.printStackTrace(e);
 				}
 				return Status.CANCEL_STATUS;
Index: tmp/org.txm.treetagger.rcp/.classpath
===================================================================
--- tmp/org.txm.treetagger.rcp/.classpath	(revision 2401)
+++ tmp/org.txm.treetagger.rcp/.classpath	(revision 2402)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.lexicaltable.core/.classpath
===================================================================
--- tmp/org.txm.lexicaltable.core/.classpath	(revision 2401)
+++ tmp/org.txm.lexicaltable.core/.classpath	(revision 2402)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java	(revision 2401)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java	(revision 2402)
@@ -12,8 +12,8 @@
  *
  */
 public class LexicalTablePreferences extends TXMPreferences {
-
-
+	
+	
 	/**
 	 * If true, the table computed from an Index will use all the occurrences from the corpus to add the #RESTE# line composed of the others words
 	 */
@@ -26,16 +26,17 @@
 	
 	/**
 	 * Gets the instance.
+	 * 
 	 * @return the instance
 	 */
-	public static TXMPreferences getInstance()	{
+	public static TXMPreferences getInstance() {
 		if (!TXMPreferences.instances.containsKey(LexicalTablePreferences.class)) {
 			new LexicalTablePreferences();
 		}
 		return TXMPreferences.instances.get(LexicalTablePreferences.class);
 	}
-
 	
+	
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
